﻿using System.Windows.Forms;

namespace Palmmedia.GoogleSync.MessageHandling
{
    /// <summary>
    /// Forms based <see cref="IMessageHandler"/>.
    /// </summary>
    internal class FormsMessageHandler : IMessageHandler
    {
        /// <summary>
        /// Shows the message.
        /// </summary>
        /// <param name="message">The message.</param>
        public void ShowMessage(string message)
        {
            MessageBox.Show(message);
        }
    }
}
