﻿
namespace Palmmedia.GoogleSync.Synchronization
{
    /// <summary>
    /// Synchonization settings.
    /// </summary>
    internal class Settings
    {
        /// <summary>
        /// Gets or sets the username.
        /// </summary>
        public string Username { get; set; }

        /// <summary>
        /// Gets or sets the password.
        /// </summary>
        /// <value>The password.</value>
        public string Password { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether all existing contacts should be deleted.
        /// </summary>
        public bool DeleteExistingContacts { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether calendar events are created.
        /// </summary>
        public bool CreateEvents { get; set; }
    }
}
