﻿using System;

namespace Palmmedia.GoogleSync.Common
{
    /// <summary>
    /// Generic <see cref="EventArgs"/>.
    /// </summary>
    /// <typeparam name="T">The type of the value.</typeparam>
    internal class EventArgs<T> : EventArgs
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="EventArgs&lt;T&gt;"/> class.
        /// </summary>
        /// <param name="value">The value.</param>
        public EventArgs(T value)
        {
            this.Value = value;
        }

        /// <summary>
        /// Gets the value.
        /// </summary>
        public T Value { get; private set; }
    }
}
